﻿/* ###########################################################################
######
######
######
######  CUSTOM FORMS
######
######
######
###########################################################################*/

/* ###########################################################################
######
######  GENERAL
######
###########################################################################*/

textarea:focus, input:focus{outline: 0;}

.formulario{
	font: normal 1em Arial, Helvetica, sans-serif;
	color: #666;
	background:#fff;
	border: 1px solid #adadad;
	padding:12px 12px;
	width:100%;
	margin-bottom:8px;

	display: inline-block;
	-webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);

	-webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
	margin-bottom:20px;
}

.formulario:focus {
  border-color: #7c7c7c;
  outline: 0;
  -webkit-box-shadow: inset 0 1px 1px rgba(124, 124, 124,.075), 0 0 8px rgba(124, 124, 124, .6);
          box-shadow: inset 0 1px 1px rgba(124, 124, 124,.075), 0 0 8px rgba(124, 124, 124, .6);
}
.formulario::-moz-placeholder {color: #666; opacity: 1;}
.formulario:-ms-input-placeholder {color: #666;}
.formulario::-webkit-input-placeholder {color: #666;}


.formulario.btnizq{padding-left:60px;}
.formulario.btnder{padding-right:60px;}

.formulario.ok{border:1px solid #adadad; background-position: 100% 50%;}
.formulario.ko{border:1px solid #d9534f; background:#fff; background-position: 100% 50%; color:#d9534f;}
.formulario.obligatorio{border:1px solid #f59c1a; background-position: 100% 50%;}
.formulario:disabled{color: #666666; background-position: 100% 50%;	background:#f7f7f7; border:1px solid #d9d9d9;}

label.formulario {
	display: inline-block;
	position: relative;
	/*width:140px;*/
	/*width:18%;*/
	border:0;
	padding:12px 5px;
	color:#333;
	background:none;
	-webkit-box-shadow: none;
    box-shadow: none; margin-bottom:2px; vertical-align:middle; vertical-align:top;
}

.formulario.min{max-width:200px; width:150px;}
.formulario.med{max-width:300px; width:250px;}
.formulario.auto{width:70%;}


label.formulario img{padding:0px}

.select_min{min-width:40px; width:auto; margin:0 15px 15px 0;display:inline-block;}

@media (max-width: 670px){
	label.formulario{width:100%; /*padding:15px 5px 10px 5px;*/}
	.formulario{ margin-bottom:15px}
}


@media (max-width: 560px){
	.formulario.auto{width:100%;}
	.select_min{width:100%;}
}




/* ###########################################################################
######
######  TEXT AREA
######
###########################################################################*/

textarea{
	overflow:auto;/*scroll auto*/
    resize: none;
}

.textarea{
    line-height:130%;
}


input[type=textarea].formulario {
	background-position: right bottom;

}


/* ###########################################################################
######
######  FILE
######
###########################################################################*/
input[type=file].formulario {
	border:0px solid #ccc;
	/*opacity: 0;
	-moz-opacity: 0;
	filter:progid:DXImageTransform.Microsoft.Alpha(opacity=0);*/
}


/* ###########################################################################
#####
#####
#####    SELECT
#####
#####
###########################################################################*/
select.formulario {
	background: white url("../images/miembros.parejas.net/icon-select.png") no-repeat right 15px bottom 50%;
}

/* ###########################################################################
#####
#####
#####    RADIO BUTTON
#####
#####
###########################################################################*/
input[type=radio].formulario {
	clear:both;
	width:auto;
	border:0px;
	margin:0px;
	padding:0px;
}

/* ###########################################################################
#####
#####
#####    CHECK BOX
#####
#####
###########################################################################*/
input[type=checkbox].chkbox + label  {
	margin-right:5px;
	/*padding-right:20px;*/
	width: 16px;
	height: 16px;
	cursor: pointer;
	width:auto;
	float:left;
	padding:0;
}

input[type=checkbox] { width: 13px;
  height: 16px;
  padding: 0;
  margin:0;
  vertical-align: bottom;
  position: relative;
  top: -1px;
  *overflow: hidden;}



/* ###########################################################################
#####
#####
#####  BOTONES
#####
#####
###########################################################################*/

input[type=button].formulario, input[type=submit].formulario {
    background: #ec0c4e;
	color: #fff;
	width:auto;
	text-decoration: none;
	border:none;
	text-align: center;
    vertical-align: middle;
    cursor: pointer;
    text-indent:2px;
	padding: 15px 45px;
	margin-bottom:0
}

input[type=button].formulario.full, input[type=submit].formulario.full {width:100%}

input[type=button].formulario:disabled, input[type=submit].formulario:disabled{
	color: #919191;
	background:#eeeeee;
	text-shadow: 1px 1px 1px #aaaaaa;
	border:1px solid #aaaaaa;
}

input[type=button].formulario.rojo, input[type=submit].formulario.rojo {background-color: #ec0c4e;}
input[type=button].formulario.verde, input[type=submit].formulario.verde {background-color: #5cb85c;}
input[type=button].formulario.azul, input[type=submit].formulario.azul background-color: #258aab;}
input[type=button].formulario.naranja, input[type=submit].formulario.naranja {background-color: #ff8201;}
input[type=button].formulario.morado, input[type=submit].formulario.morado {background-color: #62549a;}
input[type=button].formulario.burdeos, input[type=submit].formulario.burdeos {background-color: #d13563;}

input[type=button].formulario.azul-claro, input[type=submit].formulario.azul-claro {background-color: #00aeed;}
input[type=button].formulario.arosa-chicle, input[type=submit].formulario.arosa-chicle {background-color: #d7147e;}

@media (max-width: 560px){
	input[type=button].formulario, input[type=submit].formulario {width:100%}
}

/* ###########################################################################
#####
#####
#####  INPUT CON ESTILOS RANGE  - MULTI-RANGE
#####
#####
###########################################################################*/
input[type=range] {
  -webkit-appearance: none;
  width: 100%;
  height: 15px;
  border-radius: 5px;  
  background: #d3d3d3;
  outline: none;
  opacity: 0.7;
  -webkit-transition: .2s;
  transition: opacity .2s;
}
/* Mouse-over effects */
input[type=range]:hover {
  opacity: 1; /* Fully shown on mouse-over */
}

/* The slider handle (use -webkit- (Chrome, Opera, Safari, Edge) and -moz- (Firefox) to override default look) */
input[type=range]::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 24px;
  height: 24#f5f5f5px;
  border-radius: 50%; 
  background: #f5f5f5;
  cursor: pointer;
}

input[type=range]::-moz-range-thumb {
  width: 24px;
  height: 24px;
  border-radius: 50%;
  background: #f5f5f5;
  cursor: pointer;
}

/* MULTI-RANGE*/

.multi-range {
  position: relative;
  height: 50px;
}
.multi-range input[type=range] {
  /*position: absolute;*/
}
.multi-range input[type=range]:nth-child(1)::-webkit-slider-thumb::before {
  background-color: purple;
}
.multi-range input[type=range]:nth-child(2) {
	background: none;
	position: relative;
	z-index: 2;
}
.multi-range input[type=range]:nth-child(2)::-webkit-slider-thumb::before {
  background-color: grey;
}


/* ###########################################################################
#####
#####
#####  INPUT CON ESTILOS CHECKBOX - RADIO - SWITCH
#####
#####
###########################################################################*/

/* Checkbox */
.ckbox, .rdiobox {font-weight: normal; position: relative; display: block; line-height: 20px; cursor:pointer; margin:5px 0;}
.ckbox span:before, .ckbox span:after {line-height: 20px; position: absolute;}
.ckbox span:before {content: ''; width: 16px; height: 16px; background-color: #fff; border: 1px solid #adadad; border-radius: 2px; top: 2px; left: 0;}
.ckbox span:after {left: 3px; top: 1px; content: '\f101'; font-family: 'Flaticon'; font-size: 0.7142em; line-height:170%; color: #696c74; display: none; font-weight:lighter; }/*revisar 'content:' si se añaden mas iconos*/
.ckbox input[type=checkbox] {opacity: 0; margin: 0 8px 0 0;}
.ckbox input[type=checkbox]:checked + span:before {border-color: #adadad; /*background:#50ce17; color:#fff; border-color:#50ce17;*/ }
.ckbox input[type=checkbox]:checked + span:after {display: block; /*color:#fff;*/}
.ckbox input[type=checkbox][disabled] + span, .ckbox input[type=checkbox][disabled] + span:before, .ckbox input[type=checkbox][disabled] + span:after {opacity: .75;}
.ckbox-inline, .rdiobox-inline {display: inline-block;}

/* Radio Box */
.rdiobox span:before, .rdiobox span:after {line-height: 20px; position: absolute;}
.rdiobox span:before {content: ''; width: 16px; height: 16px; background-color: #fff; border: 1px solid #adadad; border-radius: 50px; top: 2px; left: 0;}
.rdiobox span:after {content: ''; width: 6px; height: 6px; background-color: #696c74; border-radius: 50px; top: 7px; left: 5px; display: none;}
.rdiobox input[type=radio] {opacity: 0; margin: 0 5px 0 0;}
.rdiobox input[type=radio]:checked + span:before {border-color: #666;}
.rdiobox input[type=radio]:checked + span:after {display: block;}
.rdiobox input[type=radio][disabled] + span, .rdiobox input[type=radio][disabled] + span:before, .rdiobox input[type=radio][disabled] + span:after {opacity: .75;}

/* Toogle switch */
.input-control.switch input[type=checkbox] {position: absolute; opacity: 0; width: 1px; height: 1px;}
.input-control.switch .caption {margin: 0 5px; }

.input-control.switch .check {position: relative; width: 40px; height: 20px; cursor: pointer; background: #dddddd; z-index: 1; display: inline-block; vertical-align: middle; border-radius:50px;
	transition: background-color 500ms ease;
}
.input-control.switch .check:after {
	position: absolute; left: -2px; top: -5px; display: block; content: ""; margin:4px 1px 0 3px; width: 24px; height: 22px; cursor: pointer; background: #fff; background: #f5f5f5; z-index: 2; border-radius:40px; border:1px solid #9e9e9e;
}

.input-control.switch input[type="checkbox"]:focus ~ .check,
.input-control.switch input[type="radio"]:focus ~ .check {outline: 0px #999 dotted !important;}

.input-control.switch input[type="checkbox"]:checked ~ .check {background: #56c0e5;}
.input-control.switch input[type="checkbox"]:checked ~ .check:after {left: auto; right: -1px;}

.input-control.switch input[type="checkbox"]:disabled ~ .check {background-color: #e6e6e6; border-color: #ffffff;}
.input-control.switch input[type="checkbox"]:disabled ~ .check:after {background-color: #8a8a8a; outline-color: #8a8a8a; border-color: #8a8a8a;}




